# Ubuntu und Linux
ubuntu ist ein Linux BetriebsSystem basiert auf Debian
<img src="images/ubuntu.png" alt="ubuntu" width="250"/>

## Statische IP Setup

### checken fur DOWNed network adapter
![ens36 ist DOWN](images/down.png)

oberes ist ein DOWNes Network Adapter, wir wollen das sie alle UP sind
```bash
sudo ip link set ens36 up
```
machen sie das für alle network adapter

### netplan
```bash
cd /etc/netplan/
sudo nano 00-installer-config.yaml
```


Anderen sie das Datei damit es richtig Configuriert ist
erinnern sie das ens36 soll immer ihres costum_M123 adapter sein, wenn es anders ist, dann ersetzen sie ihres richtiges adapter
```YAML
network:
  renderer: networkd
  ethernets:
    ens36: # villeicht wird es ein anderes network Adapter sein, Checken sie mit "ip a"
      addresses:
        - 192.168.100.1/24
      nameservers:
        addresses: [4.2.2.2, 8.8.8.8]
      routes:
        - to: default
          via: 192.168.100.1
  version: 2
```
### netplan optionen einsetzen
```bash
sudo netplan apply
```

## isc-dhcp-server Installation und Konfiguration
Installieren sie isc-dhcp-server (hashtag sind kommentare schreiben sie die nicht)
```bash
sudo apt-get install isc-dhcp-server #Paket installieren
cd /etc/dhcp/ #zum configurationverzeichnis
sudo mv dhcpd.conf{,.backup} #backup machen
sudo nano dhcpd.conf
```
Anderen Sie Das Datei damit es so Konfiguriert ist
```
default-lease-time 600;
max-lease-time 7200;
authorative;

subnet 192.168.100.0 netmask 255.255.255.0 {
    range 192.168.100.100 192.168.100.200;
    option routers 192.168.100.1;
option domain-name-servers 192.168.1.1, 192.168.1.2;
}
```

jetzt änderen sie Das Datei fur isc-dhcp-server
```bash
    sudo nano /etc/default/isc-dhcp-server
```

```
INTERFACESv4="ens36"
INTERFACESv6=""
```
ändern sie "ens36" mit ihren interface ob es anders ist

## dhcp server Starten
```bash
sudo systemctl start isc-dhcp-server
sudo systemctl enable isc-dhcp-server # autostartet
sudo systemctl status isc-dhcp-server
```

![DHCP Active](images/status.png)

Wenn es wie im Oberen bild ausseht, Funktionert es!
    
